Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.java2d
Interface FontMetricsMapper

All Superinterfaces:
  FontMetrics

All Known Implementing Classes:
  CustomFontMetricsMapper, SystemFontMetricsMapper

public interface FontMetricsMapper
extends FontMetrics

Adds method to retrieve the actual `Font` for use by `Java2DRenderer`s.

Method Summary
`java.awt.Font` | `getFont(int size)` Gets a `Font` instance of the font that this `FontMetrics` describes in the desired size.

Methods inherited from interface org.apache.fop.fonts.FontMetrics
`getAscender, getCapHeight, getDescender, getEmbedFontName, getFamilyNames, getFontName, getFontType, getFullName, getKerningInfo, getMaxAscent, getWidth, getWidths, getXHeight, hasKerningInfo`

Method Detail

### getFont

    public java.awt.Font getFont(int size)

  Gets a `Font` instance of the font that this `FontMetrics` describes in the desired size.

  Parameters:
    `size` - font size
  Returns:
    font with the desired characteristics.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.